## Script (Python) "genScriptTag"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##title=Returns the generatet SCRIPT tag for inserting in teh view template
##parameters=

import string

scriptTag="""
<script type="text/javascript">
	function startGallery() {
		var myGallery = new gallery($('myGallery'), {
			showArrows: %s,
			showCarousel: %s,
			showInfopane: %s,
			timed: %s,
			embedLinks: %s,
			delay: %i,
			thumbHeight: %i,
			thumbWidth: %i,
			thumbSpacing: %i,
			fadeDuration: %i,
			textShowCarousel: %s
		});
	}
	window.onDomReady(startGallery);
</script>
"""


showArrows = string.lower(str(context.getShowArrows()))
showCarousel = string.lower(str(context.getShowCarousel()))
showInfopane = string.lower(str(context.getShowInfopane()))
timed = string.lower(str(context.getTimed()))
embedLinks = string.lower(str(context.getEmbedLinks()))
delay = int(context.getDelay())
textShowCarousel = "'" + str(context.getTextShowCarousel()) + "'"
thumbHeight = int(context.getThumbHeight())
thumbWidth = int(context.getThumbWidth())
thumbSpacing = int(context.getThumbSpacing())
fadeDuration = int(context.getFadeDuration())

scriptTag = scriptTag % (showArrows, showCarousel, showInfopane, timed, embedLinks, delay, thumbHeight, thumbWidth, thumbSpacing,fadeDuration, textShowCarousel)

return scriptTag

# the template 
#<script type="text/javascript">
#	function startGallery() {
#		var myGallery = new gallery($('myGallery'), {
#			timed: true,
#			showCarousel: true,
#			embedLinks: false
#		});
#	}
#	window.onDomReady(startGallery);
#</script>
#

#showArrows: true,
#showCarousel: true,
#showInfopane: true,
#thumbHeight: 75,
#thumbWidth: 100,
#thumbSpacing: 10,
#embedLinks: true,
#fadeDuration: 700,
#timed: true,
#delay: 7000,
#preloader: true,
#manualData: [],
#populateData: true,
#elementSelector: "div.imageElement",
#titleSelector: "h3",
#subtitleSelector: "p",
#linkSelector: "a.open",
#imageSelector: "img.full",
#thumbnailSelector: "img.thumbnail",
#slideInfoZoneOpacity: 0.7,
#carouselMinimizedOpacity: 0.4,
#carouselMinimizedHeight: 20,
#carouselMaximizedOpacity: 0.7, 
#destroyAfterPopulate: true,
#baseClass: 'jdGallery',
#withArrowsClass: 'withArrows',
#textShowCarousel: 'Pictures',
#useThumbGenerator: false,
#thumbGenerator: 'resizer.php'

