try:
  from Products.LinguaPlone.public import *
except:
  from Products.Archetypes.public import *
from Products.ATContentTypes.content.document import ATDocument
from Products.ATContentTypes.content.document import finalizeATCTSchema 


SSmoothGallery = ATDocument.schema.copy()
SSmoothGallery['id'].required = 0
SSmoothGallery['title'].required = 1
SSmoothGallery['title'].searchable = 1
SSmoothGallery['title'].index = 'FieldIndex'
SSmoothGallery['description'].required = 0
SSmoothGallery['description'].searchable = 1
SSmoothGallery['description'].index = 'TextIndex'
SSmoothGallery['text'].required = 0
SSmoothGallery['text'].widget.allow_file_upload = 0
#SSmoothGallery['text'].widget.rows = 15
#SSmoothGallery['text'].widget.cols = 50
SSmoothGallery['relatedItems'].widget.visible = {'view': 'invisible', 'edit': 'invisible'}
SSmoothGallery['allowDiscussion'].widget.visible = {'view': 'hidden', 'edit': 'hidden'}

#SSmoothGallery += Schema((
#  StringField(
#    name = 'AutoChangeDelay',
#    required = 0,
#    default = '10000',
#    widget = StringWidget(    
#      label       = 'image autochange delay (in milliseconds)',
#      description = 'here you can set the delaytime for image autochange view'
#      ),
#    ), 
#    
#), marshall=RFC822Marshaller()
#)

SSmoothGallery += Schema((
  BooleanField(
    name = 'ShowArrows',
    required = 0,
    default = 'True',
    accessor = 'getShowArrows',
    widget = BooleanWidget(    
      label       = 'Show arrows ON ? ',
      description = 'Show navigationarrows? '
      ),
    ), 
  BooleanField(
    name = 'ShowCarousel',
    required = 0,
    default = 'True',
    accessor = 'getShowCarousel',
    widget = BooleanWidget(    
      label       = 'Show Carousel ON ? ',
      description = 'Show the carousel on the top of the Gallery? The carousel contains thumbnails of the gallerypictures.'
      ),
    ),
  BooleanField(
    name = 'ShowInfopane',
    required = 0,
    default = 'True',
    accessor = 'getShowInfopane',
    widget = BooleanWidget(    
      label       = 'Show infopane ON ? ',
      description = 'The infopane displays the TITLE and DESCRIPTION fields of the ATImage´s.'
      ),
    ),	
  BooleanField(
    name = 'Timed',
    required = 0,
    default = 'True',
    accessor = 'getTimed',
    widget = BooleanWidget(    
      label       = 'Timed ON ? ',
      description = 'The gallery will run automatically. Turn this off for manual navigation through the pictures. '
      ),
    ),	
  BooleanField(
    name = 'EmbedLinks',
    required = 0,
    default = 'False',
    accessor = 'getEmbedLinks',
    widget = BooleanWidget(    
      label       = 'Embed Links ON ? ',
      description = 'Embed links? '
      ),
    ),	
  IntegerField(
    name = 'Delay',
    required = 0,
    default = '7000',
    accessor = 'getDelay',
    widget = IntegerWidget(    
      label       = 'Delay Value',
      description = 'Delay value between two pictures.'
      ),
    ),	
  IntegerField(
    name = 'GalleryWidth',
    required = 0,
    default = '700',
    accessor = 'getGalleryWidth',
    widget = IntegerWidget(
      label       = 'Gallery Width:',
      description = 'Width of the gallery in pixels.'
      ),
    ),
  IntegerField(
    name = 'GalleryHeight',
    required = 0,
    default = '500',
    accessor = 'getGalleryHeight',
    widget = IntegerWidget(
      label       = 'Gallery Height:',
      description = 'Height of the gallery in pixels.'
      ),
    ),
  IntegerField(
    name = 'ThumbHeight',
    required = 0,
    default = '75',
    accessor = 'getThumbHeight',
    widget = IntegerWidget(
      label       = 'Height of thumbs:',
      description = 'Height of the thumbnails within the carousel.'
      ),
    ),
  IntegerField(
    name = 'ThumbWidth',
    required = 0,
    default = '100',
    accessor = 'getThumbWidth',
    widget = IntegerWidget(
      label       = 'Width of thumbs:',
      description = 'Width of the thumbnails within the carousel.'
      ),
    ),
  IntegerField(
    name = 'ThumbSpacing',
    required = 0,
    default = '10',
    accessor = 'getThumbSpacing',
    widget = IntegerWidget(
      label       = 'Spacing of thumbs:',
      description = 'Space between the thumbnails within the carousel.'
      ),
    ),
  IntegerField(
    name = 'FadeDuration',
    required = 0,
    default = '800',
    accessor = 'getFadeDuration',
    widget = IntegerWidget(
      label       = 'Duration of Fade:',
      description = 'Duration of fade between pictures.'
      ),
    ),
  TextField(
    name = 'TextShowCarousel',
    required = 0,
    default = 'Pictures',
    accessor = 'getTextShowCarousel',
    widget = StringWidget(    
      label       = 'TextShowCarousel',
     description = 'Show this text as carousel title'
      ),
    ),	

), marshall=RFC822Marshaller()
)

# DIE FIELDS MIT X NOCH EINBAUEN ! (genScriptTag.py nicht vergessen)

#embedLinks: true,	--> remove ???
#preloader: true,
#manualData: [],
#populateData: true,
#elementSelector: "div.imageElement",
#titleSelector: "h3",
#subtitleSelector: "p",
#linkSelector: "a.open", --> ???o
#imageSelector: "img.full",
#thumbnailSelector: "img.thumbnail",
#slideInfoZoneOpacity: 0.7,	x
#carouselMinimizedOpacity: 0.4,	x
#carouselMinimizedHeight: 20,	x
#carouselMaximizedOpacity: 0.7, x
#destroyAfterPopulate: true,
#baseClass: 'jdGallery',
#withArrowsClass: 'withArrows',
#useThumbGenerator: false,
#thumbGenerator: 'resizer.php'

SSmoothGallery += Schema((), marshall=RFC822Marshaller())

